
# Standards: 0.11
---

# 7.5.1 - Ensure DCCP is disabled

- name: 7.5.1 - Check if CIS modprobe configuration file exists
  stat:
    path: "{{ cis_modprobe_conf_filename }}"
  register: modprobe_7_5_1
  tags:
    - level-1
    - section-7
    - "7.5.1"
    - not-scored

- name: 7.5.1 - Ensure DCCP is disabled
  copy:
    dest: "{{ cis_modprobe_conf_filename }}"
    content: "install dccp /bin/true\n"
  when: modprobe_7_5_1.stat.exists is not defined or not modprobe_7_5_1.stat.exists
  tags:
    - level-1
    - section-7
    - "7.5.1"
    - not-scored

- name: 7.5.1 - Ensure DCCP is disabled
  lineinfile:
    dest: "{{ cis_modprobe_conf_filename }}"
    regexp: "^install dccp\\s+"
    line: "install dccp /bin/true"
  when: modprobe_7_5_1.stat.exists is defined and modprobe_7_5_1.stat.exists
  tags:
    - level-1
    - section-7
    - "7.5.1"
    - not-scored